summaryrefslogtreecommitdiffstats
path: root/doc
diff options
context:
space:
mode:
authorOliver Smith <osmith@sysmocom.de>2018-11-29 10:39:16 +0100
committerNeels Hofmeyr <nhofmeyr@sysmocom.de>2018-12-04 12:14:59 +0000
commit9fd173b179b3be252c8146fcca0f433106661ef9 (patch)
tree6d406284528e9d6874e4d02fc4af0de088fcc147 /doc
parent43fb867c786a2a95f11c3a3e6c1c1d9efa43ec45 (diff)
doc/manuals: integrate into this repository
Update .gitignore and make the manuals build without a toplevel configure.ac file from autotools: $ cd doc/manuals $ make Related: OS#3385 Change-Id: Ifc2349bc2855b55cc1e603b79dc769c55a110aa1
Diffstat (limited to 'doc')
-rw-r--r--doc/manuals/Makefile (renamed from doc/manuals/Makefile.am)6
-rwxr-xr-xdoc/manuals/osmo-gsm-manuals-dir.sh26
2 files changed, 28 insertions, 4 deletions
diff --git a/doc/manuals/Makefile.am b/doc/manuals/Makefile
index 61ccafab..603f4ba6 100644
--- a/doc/manuals/Makefile.am
+++ b/doc/manuals/Makefile
@@ -1,7 +1,5 @@
-OSMO_GSM_MANUALS_DIR = $(top_srcdir)
-EXTRA_DIST = osmocombb-usermanual.adoc \
- osmocombb-usermanual-docinfo.xml \
- chapters
+OSMO_GSM_MANUALS_DIR := $(shell ./osmo-gsm-manuals-dir.sh)
+srcdir=$(CURDIR)
ASCIIDOC = osmocombb-usermanual.adoc
ASCIIDOC_DEPS = $(srcdir)/chapters/*.adoc
diff --git a/doc/manuals/osmo-gsm-manuals-dir.sh b/doc/manuals/osmo-gsm-manuals-dir.sh
new file mode 100755
index 00000000..f132eaae
--- /dev/null
+++ b/doc/manuals/osmo-gsm-manuals-dir.sh
@@ -0,0 +1,26 @@
+#!/bin/sh -e
+# Find OSMO_GSM_MANUALS_DIR and print it to stdout. Print where it was taken from to stderr.
+
+# Find it in env, pkg-conf and ../../../osmo-gsm-manuals
+RET="$OSMO_GSM_MANUALS_DIR"
+if [ -n "$RET" ]; then
+ RET="$(realpath $RET)"
+ echo "OSMO_GSM_MANUALS_DIR: $RET (from env)" >&2
+else
+ RET="$(pkg-config osmo-gsm-manuals --variable=osmogsmmanualsdir 2>/dev/null || true)"
+ if [ -n "$RET" ]; then
+ echo "OSMO_GSM_MANUALS_DIR: $RET (from pkg-conf)" >&2
+ else
+ RET="$(realpath $(realpath $(dirname $0))/../../../osmo-gsm-manuals)"
+ echo "OSMO_GSM_MANUALS_DIR: $RET (fallback)" >&2
+ fi
+fi
+
+# Print the result or error message
+if [ -d "$RET" ]; then
+ echo "$RET"
+else
+ echo "ERROR: OSMO_GSM_MANUALS_DIR does not exist!" >&2
+ echo "Install osmo-gsm-manuals or set OSMO_GSM_MANUALS_DIR." >&2
+ exit 1
+fi